- Development Integration
- /
- SDK
- /
- Java
- /
User authentication module
- /
MFA Factor Management
- /
- Unbind MFA authentication factor
¶ Unbind MFA authentication factors
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.
Unbind a user-bound MFA authentication factor based on Factor ID.
¶ Method Name
AuthenticationClient.resetFactor
¶ Request Parameters
| Name | Type | Is it required | Default Value | Description | Example Value |
|---|---|---|---|---|---|
| factorId | string | Yes | - | MFA authentication factor ID | 6229ffaxxxxxxxxcade3e3d9 |
¶ Sample Code
package test.authentication;
import cn.authing.sdk.java.client.AuthenticationClient;
import cn.authing.sdk.java.dto.ResetFactorRespDto;
import cn.authing.sdk.java.dto.RestFactorDto;
import cn.authing.sdk.java.model.AuthenticationClientOptions;
import cn.authing.sdk.java.util.JsonUtils;
public class ResetFactorTest {
// Need to be replaced with your GenAuth App ID
private static final String APP_ID = "AUTHING_APP_ID";
// Need to be replaced with your GenAuth App Secret
private static final String APP_SECRET = "AUTHING_APP_SECRET";
// Need to be replaced with your GenAuth App Host
private static final String APP_HOST = "AUTHING_APP_HOST";
// Need to be replaced with your GenAuth Access Token
private static final String ACCESS_TOKEN = "AUTHING_ACCESS_TOKEN";
public static void main(String[] args) throws Throwable {
AuthenticationClientOptions clientOptions = new AuthenticationClientOptions();
clientOptions.setAppId(APP_ID);
clientOptions.setAppSecret(APP_SECRET);
clientOptions.setAppHost(APP_HOST);
clientOptions.setAccessToken(ACCESS_TOKEN);
AuthenticationClient client = new AuthenticationClient(clientOptions);
RestFactorDto reqDto = new RestFactorDto();
reqDto.setFactorId("6229ffaxxxxxxxxcade3e3d9");
ResetFactorRespDto response = client.resetFactor(reqDto);
System.out.println(JsonUtils.serialize(response));
}
}
¶ Request Response
Type: ResetFactorRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code. You can use this status code to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, through which the specific error type can be obtained (not returned for successful requests). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
Example Results:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c"
}
